Bug 247819 - databases/sqlite3: Update to 3.32.3
Summary: databases/sqlite3: Update to 3.32.3
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL: https://www.sqlite.org/releaselog/3_3...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-07 09:38 UTC by Pavel Volkov
Modified: 2020-07-24 14:15 UTC (History)
4 users (show)

See Also:
lwhsu: maintainer-feedback+
joneum: merge-quarterly+


Attachments
patch (1.10 KB, patch)
2020-07-07 09:38 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
poudriere log (35.61 KB, text/plain)
2020-07-07 09:39 UTC, Pavel Volkov
no flags Details
portlint log (12 bytes, text/plain)
2020-07-07 09:40 UTC, Pavel Volkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2020-07-07 09:38:25 UTC
Created attachment 216279 [details]
patch

This is a corrective update.
Details can be seen on the URL: https://www.sqlite.org/releaselog/3_32_3.html
"Various minor bug fixes including fixes for tickets 8f157e8010b22af0, 9fb26d37cefaba40, e367f31901ea8700, b706351ce2ecf59a, 7c6d876f84e6e7e2, and c8d3b9f0a750a529."

And please, remove empty directory 'files' from this port.
Comment 1 Pavel Volkov 2020-07-07 09:39:37 UTC
Created attachment 216280 [details]
poudriere log
Comment 2 Pavel Volkov 2020-07-07 09:40:09 UTC
Created attachment 216281 [details]
portlint log
Comment 3 Automation User 2020-07-07 09:53:53 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/163850856
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-07 10:11:13 UTC
^Triage: Request feedback from Cy re base sqlite
Comment 5 commit-hook freebsd_committer 2020-07-07 11:56:33 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Jul  7 11:56:23 UTC 2020
New revision: 541414
URL: https://svnweb.freebsd.org/changeset/ports/541414

Log:
  Update to 3.32.3

  PR:		247819
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
  head/databases/sqlite3/files/
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-07 11:58:28 UTC
@Li-Wen This is a bugfix release, any reason for not merging?
Comment 7 Li-Wen Hsu freebsd_committer 2020-07-07 12:01:07 UTC
Request for MFH.
Comment 8 Li-Wen Hsu freebsd_committer 2020-07-07 12:01:31 UTC
(In reply to Kubilay Kocak from comment #6)
no, just clicked too fast.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-07 12:08:41 UTC
We might leave this open pending feedback from Cy re base sqlite. We can create a separate issue to track that change
Comment 10 Cy Schubert freebsd_committer 2020-07-07 12:58:15 UTC
3.32.3 doesn't fix any CVE. We must ask pavelivolkov@gmail.com for permission. I'll update base though.
Comment 11 Li-Wen Hsu freebsd_committer 2020-07-07 13:07:10 UTC
(In reply to Cy Schubert from comment #10)
This patch was submitted by the maintainer, Pavel Volkov <pavelivolkov@gmail.com> so it is fine. :-)

I think koobs@ was wanting to ask cy@ (maintainer of sqlite in base) if there is anything in 3.32.3 we need to be aware. But I think it's fine from the maintainer who maintains this port well.

BTW, thanks for working on updating base, cy@.
Comment 12 Cy Schubert freebsd_committer 2020-07-07 13:08:24 UTC
I just noticed that too.

Here's my colliding comment:

I see maintainer has submitted (approved). I'll commit to ports this morning (30-60 minutes from now) and queue up a commit to base.
Comment 13 Li-Wen Hsu freebsd_committer 2020-07-07 13:10:25 UTC
(In reply to Cy Schubert from comment #12)
I've done the ports r541414 so no worries. :-)
Comment 14 Cy Schubert freebsd_committer 2020-07-07 19:10:38 UTC
Committed to base.
Comment 15 commit-hook freebsd_committer 2020-07-07 19:10:54 UTC
A commit references this bug:

Author: cy
Date: Tue Jul  7 19:09:55 UTC 2020
New revision: 362997
URL: https://svnweb.freebsd.org/changeset/base/362997

Log:
  MFV r362990:

  Update sqlite to 3.32.3 (3320300).

  Release Announcement:	https://www.sqlite.org/releaselog/3_32_3.html
  See also:		ports r541414

  PR:		247819
  Reported by:	Pavel Volkov <pavelivolkov at gmail.com>
  MFC after:	1 week

Changes:
_U  head/contrib/sqlite3/
  head/contrib/sqlite3/configure
  head/contrib/sqlite3/configure.ac
  head/contrib/sqlite3/sqlite3.c
  head/contrib/sqlite3/sqlite3.h
  head/contrib/sqlite3/tea/configure
  head/contrib/sqlite3/tea/configure.ac
Comment 16 commit-hook freebsd_committer 2020-07-14 13:22:36 UTC
A commit references this bug:

Author: cy
Date: Tue Jul 14 13:21:42 UTC 2020
New revision: 363179
URL: https://svnweb.freebsd.org/changeset/base/363179

Log:
  MFC r362997:

  Update sqlite to 3.32.3 (3320300).

  Release Announcement:	https://www.sqlite.org/releaselog/3_32_3.html
  See also:		ports r541414

  PR:		247819
  Reported by:	Pavel Volkov <pavelivolkov at gmail.com>

Changes:
_U  stable/11/
  stable/11/contrib/sqlite3/configure
  stable/11/contrib/sqlite3/configure.ac
  stable/11/contrib/sqlite3/sqlite3.c
  stable/11/contrib/sqlite3/sqlite3.h
  stable/11/contrib/sqlite3/tea/configure
  stable/11/contrib/sqlite3/tea/configure.ac
_U  stable/12/
  stable/12/contrib/sqlite3/configure
  stable/12/contrib/sqlite3/configure.ac
  stable/12/contrib/sqlite3/sqlite3.c
  stable/12/contrib/sqlite3/sqlite3.h
  stable/12/contrib/sqlite3/tea/configure
  stable/12/contrib/sqlite3/tea/configure.ac
Comment 17 Jochen Neumeister freebsd_committer 2020-07-24 08:52:43 UTC
Approved for MFH
(Is there a CVE inside, please create a Vuxml)
Comment 18 Cy Schubert freebsd_committer 2020-07-24 14:15:13 UTC
There is no CVE between 3.32.2 and 3.32.3.